Package com.avaya.clientservices.messaging.enums

## Enum SensitivityLevel

- java.lang.Object
- - java.lang.Enum<SensitivityLevel>
  - - com.avaya.clientservices.messaging.enums.SensitivityLevel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SensitivityLevel>`

      public enum SensitivityLevel
      extends java.lang.Enum<SensitivityLevel>

  Represents the sensitivity of the conversation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIDENTIAL` | Confidential sensitivity level.
    `NORMAL` | Normal sensitivity level.
    `PERSONAL` | Personal sensitivity level.
    `PRIVATE` | Private sensitivity level.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SensitivityLevel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SensitivityLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final SensitivityLevel NORMAL

      Normal sensitivity level.

    - #### PERSONAL

          public static final SensitivityLevel PERSONAL

      Personal sensitivity level.

    - #### PRIVATE

          public static final SensitivityLevel PRIVATE

      Private sensitivity level.

    - #### CONFIDENTIAL

          public static final SensitivityLevel CONFIDENTIAL

      Confidential sensitivity level.

  - ### Method Detail

    - #### values

          public static SensitivityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SensitivityLevel c : SensitivityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SensitivityLevel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null